Subject: Re: [bug#73200] [PATCH] gnu: sleef: Update to 3.6.1.

From: Efraim Flashner <[email-masked]>
Date: Sun, 15 Sep 2024 15:48:07 +0300

On Fri, Sep 13, 2024 at 02:11:09PM +0000, Eric Bavier wrote:
> Hi Efraim,
> 
> Also looks good to me. I tested with build of llama-cpp for x86_64. Some other Python users currently FTBFS for other reasons it seems.
> 
> This version of Sleef even comes with RISC-V Vector extension support :-) .
> 
> `~Eric

I think for the vector support on RISC-V we need to build with gcc-14 or
llvm-17+.

At first build this fixes build failures on aarch64 and riscv64, but
breaks support for i686 and one of the other architectures. I was hoping
to get feedback from the QA system to see if it built there and just not
on my hardware.

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted